//-----------------------------------------------------------------------
// OnLoad
//-----------------------------------------------------------------------
function OnLoad() {
    var vars = null;
    if ((vars = GetVariablesHREF()) != null) {
        SetElementValue("title", GetString("TITLE_SUPPORT_ADVANCED"));
        SetElementValue("setup_name", GetString("TEXT_SETUP"));
        SetElementValue("setup_reset_name", GetString("TEXT_SETUP_RESET"));
        SetElementValue("setup_reset_text", GetString("INFO_SETUP_RESET"));
        SetElementDefaultImage("setup_reset_image", "setup_reset");
        SetElementValue("setup_repair_name", GetString("TEXT_SETUP_REPAIR"));
        SetElementValue("setup_repair_text", GetString("INFO_SETUP_REPAIR"));
        SetElementDefaultImage("setup_repair_image", "setup_repair");
        SetElementValue("setup_uninstall_name", GetString("TEXT_SETUP_UNINSTALL"));
        SetElementValue("setup_uninstall_text", GetString("INFO_SETUP_UNINSTALL"));
        SetElementDefaultImage("setup_uninstall_image", "setup_uninstall");
        SetElementValue("other_name", GetString("TEXT_OTHER"));
        SetElementValue("service_name", GetString("TEXT_SERVICES"));
        SetElementValue("service_text", GetString("INFO_SERVICES"));
        SetElementDefaultImage("service_image", "service");
        ShowElements(vars["ConfigGlobal:Administration:View"]);
        EnableElements();
        ShowHeader();
        SetElementVisible("content");
    }
    return;
}
//-----------------------------------------------------------------------
// OnBack
//-----------------------------------------------------------------------
function OnBack() {
    LoadPage("support", null);
    return;
}
//-----------------------------------------------------------------------
// OnService
//-----------------------------------------------------------------------
function OnService() {
    LoadPage("support_adv_service", "back=support_adv");
    return;
}
//-----------------------------------------------------------------------
// OnSetupReset
//-----------------------------------------------------------------------
function OnSetupReset() {
    ShowConfirm(GetString("CONFIRM_SETUP_RESET"), GetString("INFO_SETUP_RESET2"), CallDelayedReset, null);
    return;
}
//-----------------------------------------------------------------------
// OnSetupUninstall
//-----------------------------------------------------------------------
function OnSetupUninstall() {
    ShowConfirm(GetString("CONFIRM_SETUP_UNINSTALL"), GetString("INFO_SETUP_UNINSTALL2"), CallUninstall, null);
    return;
}
//-----------------------------------------------------------------------
// OnSetupRepair
//-----------------------------------------------------------------------
function OnSetupRepair() {
    ShowConfirm(GetString("CONFIRM_SETUP_REPAIR"), GetString("INFO_SETUP_REPAIR2"), CallRepair, null);
    return;
}
//-----------------------------------------------------------------------
// CallDelayedReset
//-----------------------------------------------------------------------
function CallDelayedReset() {
    ShowProgress();
    setTimeout(CallReset, 111);
    return;
}
//-----------------------------------------------------------------------
// CallReset
//-----------------------------------------------------------------------
function CallReset() {
    document.form1.next.value = "index.html";
    LoadPluginVariables(null, "ResetUserData");
    ShowProgress();
    return;
}
//-----------------------------------------------------------------------
// CallRepair
//-----------------------------------------------------------------------
function CallRepair() {
    document.form1.next.value = "index.html";
    CallPluginComponent(document.form1.next.value, "repair", "", "", "", "");
    ShowProgress();
    return;
}
//-----------------------------------------------------------------------
// CallUninstall
//-----------------------------------------------------------------------
function CallUninstall() {
    document.form1.next.value = "index.html";
    CallPluginComponent(document.form1.next.value, "uninstall", "", "", "", "");
    ShowProgress();
    return;
}
//-----------------------------------------------------------------------
// ShowElements
//-----------------------------------------------------------------------
function ShowElements(view) {
    view = GetPartBy(GetPartBy(view, 0, ';'), 6, ',');
    ShowElementList(view, "setup;setup_reset;setup_repair;repair_uninstall;other;other_service");
    return;
}
//-----------------------------------------------------------------------
// EnableElements
//-----------------------------------------------------------------------
function EnableElements() {
    if (!HasPluginApp()) {
        SetElementHidden("setup_repair");
        SetElementHidden("setup_uninstall");
    }
    return;
}
