﻿//-----------------------------------------------------------------------
// OnLoad
//-----------------------------------------------------------------------
function OnLoad() {
    var vars = GetVariablesHREF();
    // Set variable information, use default for empty (demo)
    if (vars["info"] == null) {
        SetElementLabel("title", "Select certificate");
        SetElementLabel("subtitle", "");
        SetCertificates("11223344,,Test Testsson,Company AB,More Information;11223344,,Test Testsson,SecMaker AB,More Information;11223344,,Test Testsson,Telia Sonera AB,More Information");
    }
    else {
        SetViewTheme(vars["theme"]);
        SetElementLabel("title", vars["title"]);
        SetElementLabel("subtitle", vars["subtitle"]);
        SetButtonValues(vars["buttons"]);
        SetCertificates(vars["info"]);
        OnButtonSet(0);
    }
    // Show the whole content
    SetElementVisible("content");
    return;
}
//-----------------------------------------------------------------------
// CreateCertificatesList
//-----------------------------------------------------------------------
function CreateCertificatesList(info) {
    var elem = null;  
    var innerHTML = "";
    var value = "";
    var i = 0;
    if ((elem = document.getElementById("elem0")) != null) {
        innerHTML = elem.innerHTML;
        elem.innerHTML = "";
        while (GetPartBy(info, i, ';') != "") {
            value = innerHTML;
            value = value.replace("'0'", "'" + i + "'");
            value = value.replace("select0", "select" + i);
            value = value.replace("elem0", "elem" + i);
            value = value.replace("image0", "image" + i);
            value = value.replace("name0", "name" + i);
            value = value.replace("above0", "above" + i);
            value = value.replace("below0", "below" + i);
            elem.innerHTML += value;
            i++;
        }
    }
    return;
}
//-----------------------------------------------------------------------
// SetCertificates
//-----------------------------------------------------------------------
function SetCertificates(info) {
    var part = "";
    var value = "";
    var type = "";
    var link = "";
    var i = 0;
    CreateCertificatesList(info);
    while ((part = GetPartBy(info, i, ';')) != "") {
        if (GetPartBy(part, 1, ',') != "") {
            SetElementImage("image" + i, GetPartBy(part, 1, ','));
        }
        else if ((value = GetImageByName(GetPartBy(part, 3, ','), false)) != null) {
            SetElementImage("image" + i, value);
        }
        else {
            type = GetPartBy(part, 5, ',');
            if (type == "ca") {
                type = "certificate_ca"
            }
            else if (type == "nr") {
                type = "certificate_nr"
            }
            else if (type == "ds") {
                type = "certificate_ds"
            }
            else {
                type = "certificates"
            }
            SetElementDefaultImage("image" + i, type);
        }
        SetElementLabel("name" + i, GetPartBy(part, 2, ','));
        SetElementLabel("above" + i, GetPartBy(part, 3, ','));
        if ((link = GetPartBy(part, 4, ',')) != "") {
            link = "<a class='go' href='javascript:OnButtonView(" + i + ");'>" + link + "</a>";
            SetElementValue("below" + i, link);
        }
        i++;
    }
    return;
}
//-----------------------------------------------------------------------
// SetButtonValues
//-----------------------------------------------------------------------
function SetButtonValues(value) {
    if (value != null) {
        SetElementButton("btn_ok", GetPartBy(value, 0, ';'));
        SetElementButton("btn_cancel", GetPartBy(value, 1, ';'));
    }
    return;
}
//-----------------------------------------------------------------------
// OnButtonOK
//-----------------------------------------------------------------------
function OnButtonOK() {
    if (document.form1.response.value.length > 0) {
        document.form1.next.value = "";
        document.form1.status.value = "CKR_OK";
        document.form1.action = "iid://exit";
        document.form1.submit();
    }
    return;
}
//-----------------------------------------------------------------------
// OnButtonCancel
//-----------------------------------------------------------------------
function OnButtonCancel() {
    document.form1.next.value = "";
    document.form1.response.value = "";
    document.form1.status.value = "CKR_CANCEL"; 
    document.form1.action = "iid://exit";
    document.form1.submit();
    return;
}
//-----------------------------------------------------------------------
// OnButtonSet
//-----------------------------------------------------------------------
function OnButtonSet(index) {
    var vars = GetVariablesHREF();
    var info = null;
    var elem = null;
    var i = 0;
    if ((info = vars["info"]) != null) {
        info = GetPartBy(info, index, ';');
        document.form1.response.value = GetPartBy(info, 0, ',');
    }
    while (document.getElementById("select" + i) != null) {
        if (i == index) {
            SetElementClass("select" + i, "tile_selected");
        }
        else {
            SetElementClass("select" + i, "tile");
        }
        i++;
    }
    return;
}
//-----------------------------------------------------------------------
// OnButtonView
//-----------------------------------------------------------------------
function OnButtonView(index) {
    var vars = GetVariablesHREF();
    var info = null;
    if ((info = vars["info"]) != null) {
        if ((info = GetPartBy(info, index, ';')) != "") {
            document.form1.next.value = "none";
            document.form1.iid_set.value = "Certificate=" + URL.encode(GetPartBy(info, 0, ','));
            document.form1.iid_invoke.value = "ViewCertificate";
            document.form1.action = "iid://plugin";
            document.form1.submit();
        }
    }
    return;
}
