//-----------------------------------------------------------------------
// OnLoad
//-----------------------------------------------------------------------
function OnLoad() {
    var vars = null;
    var service = null;
    var users = null;
    if ((vars = GetVariablesHREF()) != null) {
        vars = AppendToAllVariables(vars);
        if ((service = ParseServiceInfo(vars["service"])) != null) {
            SetServiceInfo(service);
            if ((users = CreateUserList(vars, service)) != null) {
                SetUsersInfo(users, service);
            }
        }
    }
    return;
}
//-----------------------------------------------------------------------
// SetServiceInfo
//-----------------------------------------------------------------------
function SetServiceInfo(service) {
    SetElementLabel("title", service.name);
    return;
}
//-----------------------------------------------------------------------
// SetUsersInfo
//-----------------------------------------------------------------------
function SetUsersInfo(users, service) {
    var i = 0;
    var value = null;
    if (users.length > 0) {
        CreateElemList(users.length, "user", true);
        SetElementValue("usertitle", GetString("TEXT_USERS"));
        for (i = 0; i < users.length; i++) {
            if ((value = GetCertificateImageByName(users[i])) == null) {
                value = GetImageByPath(service.image, service.address);
            }
            if (value != null) {
                SetElementImage("userimage" + i, value);
            }
            SetElementLabel("username" + i, users[i].name);
            SetElementLabel("usertext" + i, users[i].personalNumber);
        }
    }
    ShowHeader();
    return;
}
//-----------------------------------------------------------------------
// OnBack
//-----------------------------------------------------------------------
function OnBack() {
    LoadPage("index", null);
    return;
}
//-----------------------------------------------------------------------
// OnSelect
//-----------------------------------------------------------------------
function OnSelect(elem) {
    var i = 0;
    var index = 0;
    index = parseInt(elem.substr(4));
    while (document.getElementById("userid" + i) != null) {
        if (i == index) {
            SetElementClass("userid" + i, "highlightarea_select select_bg_01 user");
        }
        else {
            SetElementClass("userid" + i, "highlightarea_select select_bg_00 user");
        }
        i++;
    }
    OnCopy(index);
    return;
}
//-----------------------------------------------------------------------
// OnCopy
//-----------------------------------------------------------------------
function OnCopy(index) {
    var value = null;
    if ((value = GetElementValue("usertext" + index)) != null) {
        CopyClipboard(value);
    }
    return;
}
